Summary: CD ripping tool using GTK+ and GStreamer
Name: sound-juicer
Version: 2.10.1
Release: 1mdk
License: GPL
Group: Sound
URL: http://www.burtonini.com/blog/computers/sound-juicer
Source0: http://www.burtonini.com/computing/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: ImageMagick
BuildRequires: libmusicbrainz-devel >= 2.0.0
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgstreamer-devel >= 0.8
BuildRequires: libgstreamer-plugins-devel >= 0.8
BuildRequires: libnautilus-burn-devel >= 2.9.0
BuildRequires: scrollkeeper
BuildRequires: hal-devel
BuildRequires: libcddb-slave2-devel
#gw for the broken intltool scripts:
BuildRequires: perl-XML-Parser
PreReq: scrollkeeper
Requires: gstreamer-cdparanoia
Requires: gstreamer-vorbis
Requires: gstreamer-flac

%description
This is Sound Juicer, a CD ripping tool using GTK+ and GStreamer.

%prep
%setup -q

%build

%configure2_5x --enable-hal

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name} --with-gnome


# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
	needs="X11" \
	section="Multimedia/Sound" \
	title="Sound Juicer CD Ripper" \
	longtitle="Rip music from your CDs" \
	command="%{_bindir}/sound-juicer" \
	icon="sound-juicer.png" \
	startup_notify="true"
EOF

# icons
mkdir -p $RPM_BUILD_ROOT{%_iconsdir,%_miconsdir}
install -D -m 644       data/sound-juicer.png $RPM_BUILD_ROOT%{_liconsdir}/sound-juicer.png
convert -geometry 32x32 data/sound-juicer.png $RPM_BUILD_ROOT%{_iconsdir}/sound-juicer.png
convert -geometry 16x16 data/sound-juicer.png $RPM_BUILD_ROOT%{_miconsdir}/sound-juicer.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/sound-juicer.schemas > /dev/null
%{update_menus}
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%preun
if [ "$1" = "0" ] ; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/sound-juicer.schemas > /dev/null
fi
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/sound-juicer
%{_menudir}/*
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_datadir}/omf/*

%changelog
* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)

* Mon Apr 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-3mdk 
- Patch0 (CVS): fix default profile name (Mdk bug #15005)

* Fri Feb 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.6.0-2mdk
- add BuildRequires: libgstreamer-plugins-devel

* Fri Feb  4 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-1mdk
- New release 0.6.0
- Remove patch0 (merged upstream)

* Fri Dec 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.15-1mdk 
- Release 0.5.15
- Remove patches 0 & 1 (merged upstream)
- Patch 0: allow compilation with HAL 0.4.1

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.14-3mdk 
- Patch1 (Fedora): improve idle handler safety
- Enable HAL

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.14-2mdk 
- Patch0: better error handling (allow to rip some CDs with incomplete
  musicbrainz metadata)

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.14-1mdk
- New release 0.5.14
- Remove patch0 (merged upstream)

* Wed Sep 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.12-2mdk
- Patch0 (CVS): various bug fixes

* Thu Jun 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.5.12-1mdk
- New release 0.5.12

* Sun Jun 06 2004 Abel Cheung <deaddog@deaddog.org> 0.5.11-2mdk
- Rebuild with new gcc
- Use ImageMagick to convert icons

* Fri May 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.5.11-1mdk
- New release 0.5.11

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.10.1-5mdk
- fix buildrequires

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.10.1-4mdk
- new musicbrainz

* Tue Apr  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.10.1-3mdk
- rebuild for gstreamer 0.8

* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.10.1-2mdk
- fix buildrequires

* Thu Feb 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.10.1-1mdk
- Release 0.5.10.1

* Wed Jan 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.9-1mdk
- Release 0.5.9

* Wed Nov 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.8-1mdk
- Release 0.5.8

* Wed Nov 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.7-1mdk
- Release 0.5.7
- Reduce build requirement
- Remove mdk gcc flags, they trigger a gcc bug on x86 platform

* Fri Oct 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.6-2mdk
- fix buildrequires

* Mon Oct 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.6-1mdk
- Release 0.5.6

* Wed Oct 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.5-1mdk
- Release 0.5.5

* Wed Sep 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.4-1mdk
- Release 0.5.4
- Remove patch0 (merged upstream)

* Tue Sep 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.3-1mdk
- Release 0.5.3
- Patch0 : fix crash when CD is not in musicbrainz database

* Thu Aug 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.2-1mdk
- Release 0.5.2

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Release 0.5.1

* Thu Jul 31 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5-1mdk
- Release 0.5

* Thu Jul 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.4.1-2mdk
- Fix schema install

* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- don't buildrequire gstreamer-cdparanoia
- requires gstreamer-vorbis
- add schema installation and deinstallation
- fix url
- new version

* Tue Apr 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.2.1-1mdk
- Initial Mdk package

